# Generated from pg-ldap-sync-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pg-ldap-sync

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Use LDAP permissions in PostgreSQL
License: MIT
URL: https://github.com/larskanis/pg-ldap-sync
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(ruby-ldapserver) >= 0.3
# BuildRequires: rubygem(ruby-ldapserver) < 1
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-hooks) >= 1.4
# BuildRequires: rubygem(minitest-hooks) < 2
BuildArch: noarch

%description
Use LDAP permissions in PostgreSQL.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/pg_ldap_sync
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/appveyor.yml
%{gem_instdir}/config
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pg-ldap-sync.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.0-1
- Initial package
